Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.hibernate
Class SessionException

    java.lang.Object
      java.lang.Throwable
          java.lang.Exception
              java.lang.RuntimeException
                  org.hibernate.HibernateException
                      org.hibernate.SessionException

All Implemented Interfaces:
  Serializable

    public class SessionException

extends HibernateException

Thrown when the user calls a method of a `Session` that is in an inappropriate state for the given call (for example, the the session is closed or disconnected).

See Also:
  Serialized Form

Constructor Summary
`SessionException(String message)` Constructs a new SessionException with the given message.
`SessionException(String message, Throwable cause)` Constructs a new SessionException with the given message.

Method Summary

Methods inherited from class java.lang.Throwable
`fillInStackTrace, getCause, getLocalizedMessage, getMessage, getStackTrace, initCause, printStackTrace, printStackTrace, printStackTrace, setStackTrace, toString`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

Constructor Detail

### SessionException

    public SessionException(String message)

  Constructs a new SessionException with the given message.

  Parameters:
    `message` - The message indicating the specific problem.

### SessionException

    public SessionException(String message,
                            Throwable cause)

  Constructs a new SessionException with the given message.

  Parameters:
    `message` - The message indicating the specific problem.
    `cause` - An exception which caused this exception to be created.

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2001-2012 Red Hat, Inc. All Rights Reserved.